org.apache.olingo.odata2.jpa.processor.ref.model

## Class Address

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.model.Address

-     @Embeddable
      public class Address
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address()`
    `Address(short houseNumber, String streetName, String city, String country)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCity()`
    `String` | `getCountry()`
    `short` | `getHouseNumber()`
    `String` | `getPincode()`
    `String` | `getStreetName()`
    `void` | `setCity(String city)`
    `void` | `setCountry(String country)`
    `void` | `setHouseNumber(short houseNumber)`
    `void` | `setPincode(String pincode)`
    `void` | `setStreetName(String streetName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address()

    - #### Address

          public Address(short houseNumber,
                         String streetName,
                         String city,
                         String country)

  - ### Method Detail

    - #### getPincode

          public String getPincode()

    - #### setPincode

          public void setPincode(String pincode)

    - #### getHouseNumber

          public short getHouseNumber()

    - #### setHouseNumber

          public void setHouseNumber(short houseNumber)

    - #### getStreetName

          public String getStreetName()

    - #### setStreetName

          public void setStreetName(String streetName)

    - #### getCity

          public String getCity()

    - #### setCity

          public void setCity(String city)

    - #### getCountry

          public String getCountry()

    - #### setCountry

          public void setCountry(String country)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.